#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Object
%define		pnam	Realize-Later
%include	/usr/lib/rpm/macros.perl
Summary:	Object::Realize::Later - delayed creation of objects
Summary(pl.UTF-8):	Object::Realize::Later - opóźnione tworzenie obiektów
Name:		perl-Object-Realize-Later
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9838d35c80f4f11b6a54f519147ad1a2
URL:		http://search.cpan.org/dist/Object-Realize-Later/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Scalar::Util)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Object::Realize::Later class helps with implementing transparent
on demand realization of object data. This is related to the tricks on
autoloading of data, the lesser known cousin of autoloading of
functionality.

%description -l pl.UTF-8
Klasa Object::Realize::Later pomaga w implementowaniu przezroczystego
realizowania danych obiektowych na żądanie. Jest to związane z trikami
przy automatycznym wczytywaniu danych, czyli mniej znaną pochodną
funkcjonalności automatycznego wczytywania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%dir %{perl_vendorlib}/Object/Realize
%{perl_vendorlib}/Object/Realize/*.pm
%{perl_vendorlib}/Object/Realize/*.pod
%{_mandir}/man3/*
%changelog
* Sat Feb 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Object-Realize-Later.git;a=log;h=master

* Sat Feb 16 2019 Adam Gołębiowski <adamg@pld-linux.org> a3be437
- updated to 0.21

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> f4cbd38
- use generic url

* Wed Sep 02 2009 amateja <amateja@pld-linux.org> 9d3726b
- updated to 0.18

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f618fc
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5f1cc29
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 67d76bd
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 7d1c64b
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ce67621
- formatting

* Sun Aug 01 2004 ankry <ankry@pld-linux.org> e9ec0e0
- removed dir belonging to perl-base, rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0595eb4
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> b8983bf
- cosmetics: unification

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> 64e9631
- ported to new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 31ef03c
- some summary, description and license fixes

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 04ad1e6
- autoupdated to 0.15

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 748dc3d
- updated to 0.14

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 83a9684
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> ea381ef
- fixed changelog trailer

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> 958909f
- pl, missing dirs

* Thu Jul 24 2003 radek <radek@pld-linux.org> e5d4dcc
- new

